# This file kindly written by Richard Levitte - GNU on VMS hacker
#                                               <levitte@vms.stacken.kth.se>
#
# what emacs is called on your system
EMACS = emacs

# How to make a directory
# need a -p if you want to make the parents!
MKDIR = create/dir

# where the Info file should go
INFODIR = gnu_root:[info]

# where the w3 lisp files should go
LISPDIR = gnu_root:[lib.emacs.site-lisp]

# Change this to be where your .emacs file is stored
DOTEMACS      = gnu_root:[lib.emacs.site-lisp]default.el

# Change this to be how to convert texinfo files into info files
# examples:
#	$(EMACS) -batch -q -f batch-texinfo-format
#	makeinfo
MAKEINFO      = makeinfo

############## no user servicable parts beyond this point ###################
# Have to preload a few things to get a nice clean compile

DEPS = -l sys$disk:[]vmsloadup.el

# compile with noninteractive and relatively clean environment
#BATCHFLAGS = -batch -q -no-site-file
BATCHFLAGS = -batch

# files that contain variables and macros that everything else depends on
CORE = docomp.el

OBJECTS = \
	url-vars.elc	\
	url-parse.elc	\
	url-file.elc	\
	url-gopher.elc	\
	url-hash.elc	\
	url-http.elc	\
	url-mail.elc	\
	url-misc.elc	\
	url-news.elc	\
	url-pgp.elc	\
	url-wais.elc	\
	urlauth.elc	\
	mm.elc		\
	md5.elc		\
	ssl.elc		\
	base64.elc	\
	url.elc

SOURCES = \
	url-vars.el	\
	url-parse.el	\
	url-file.el	\
	url-gopher.el	\
	url-hash.el	\
	url-http.el	\
	url-mail.el	\
	url-misc.el	\
	url-news.el	\
	url-pgp.el	\
	url-wais.el	\
	urlauth.el	\
	mm.el		\
	md5.el		\
	ssl.el		\
	base64.el	\
	url.el


DISTFILES     = Makefile ChangeLog $(SOURCES) url.texi docomp.el

.SUFFIXES : .elc .el
.el.elc :
	$(EMACS) $(BATCHFLAGS) $(DEPS) -f batch-byte-compile $(MMS$SOURCE)

url :	vmsloadup.el docomp.el $(OBJECTS)
	write sys$output "Build of URL complete..."

all :	url
	@ !

install : all emacs
	write sys$output "Installing in $(LISPDIR)"
	if f$parse("$(LISPDIR)") .eqs. "" then $(MKDIR) $(LISPDIR)
	copy/log $(SOURCES),$(OBJECTS) $(LISPDIR)
	- purge/log $(LISPDIR)
	copy/log url.info* $(INFODIR)
	- purge/log $(INFODIR)

clean :
	! rm -f $(OBJECTS)

w3.info :	url.texi
	@$(MAKEINFO) url.texi
